Package org.apache.torque.om

## Class SimpleKey<T>

- java.lang.Object
- - org.apache.torque.om.ObjectKey<T>
  - - org.apache.torque.om.SimpleKey<T>

- All Implemented Interfaces:
    `Serializable`, `Comparable<Object>`
  Direct Known Subclasses:
    `BooleanKey`, `DateKey`, `NumberKey`, `StringKey`

      public abstract class SimpleKey<T>
      extends ObjectKey<T>

  This empty class marks an ObjectKey as being capable of being represented as a single column in a database.
  Version:
    $Id: SimpleKey.java 1849379 2018-12-20 12:33:43Z tv $
  Author:
    John McNally, J. Russell Smyth
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleKey()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static NumberKey` | `keyFor​(double key)` | Creates an ObjectKey for the key object.
    `static NumberKey` | `keyFor​(int key)` | Creates an ObjectKey for the key object.
    `static NumberKey` | `keyFor​(long key)` | Creates an ObjectKey for the key object.
    `static BooleanKey` | `keyFor​(Boolean key)` | Creates an ObjectKey for the key object.
    `static NumberKey` | `keyFor​(Number key)` | Creates an ObjectKey for the key object.
    `static StringKey` | `keyFor​(String key)` | Creates an ObjectKey for the key object.
    `static NumberKey` | `keyFor​(BigDecimal key)` | Creates an ObjectKey for the key object.
    `static DateKey` | `keyFor​(Date key)` | Creates an ObjectKey for the key object.
    `static DateKey` | `keyFor​(DateKey key)` | Creates an ObjectKey for the key object.
    `static NumberKey` | `keyFor​(NumberKey key)` | Creates an ObjectKey for the key object.
    `static StringKey` | `keyFor​(StringKey key)` | Creates an ObjectKey for the key object.

    - ### Methods inherited from class org.apache.torque.om.ObjectKey

      `appendTo, compareTo, equals, getJdbcType, getValue, hashCode, setValue, setValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleKey

          public SimpleKey()

  - ### Method Detail

    - #### keyFor

          public static NumberKey keyFor​(BigDecimal key)

      Creates an ObjectKey for the key object.
      Parameters:
        `key` - the key value.
      Returns:
        an ObjectKey for `key`.

    - #### keyFor

          public static NumberKey keyFor​(int key)

      Creates an ObjectKey for the key object.
      Parameters:
        `key` - the key value.
      Returns:
        an ObjectKey for `key`.

    - #### keyFor

          public static NumberKey keyFor​(long key)

      Creates an ObjectKey for the key object.
      Parameters:
        `key` - the key value.
      Returns:
        an ObjectKey for `key`.

    - #### keyFor

          public static NumberKey keyFor​(double key)

      Creates an ObjectKey for the key object.
      Parameters:
        `key` - the key value.
      Returns:
        an ObjectKey for `key`.

    - #### keyFor

          public static NumberKey keyFor​(Number key)

      Creates an ObjectKey for the key object.
      Parameters:
        `key` - the key value.
      Returns:
        an ObjectKey for `key`.

    - #### keyFor

          public static NumberKey keyFor​(NumberKey key)

      Creates an ObjectKey for the key object.
      Parameters:
        `key` - the key value.
      Returns:
        an ObjectKey for `key`.

    - #### keyFor

          public static StringKey keyFor​(String key)

      Creates an ObjectKey for the key object.
      Parameters:
        `key` - the key value.
      Returns:
        an ObjectKey for `key`.

    - #### keyFor

          public static StringKey keyFor​(StringKey key)

      Creates an ObjectKey for the key object.
      Parameters:
        `key` - the key value.
      Returns:
        an ObjectKey for `key`.

    - #### keyFor

          public static DateKey keyFor​(Date key)

      Creates an ObjectKey for the key object.
      Parameters:
        `key` - the key value.
      Returns:
        an ObjectKey for `key`.

    - #### keyFor

          public static DateKey keyFor​(DateKey key)

      Creates an ObjectKey for the key object.
      Parameters:
        `key` - the key value.
      Returns:
        an ObjectKey for `key`.

    - #### keyFor

          public static BooleanKey keyFor​(Boolean key)

      Creates an ObjectKey for the key object.
      Parameters:
        `key` - the key value.
      Returns:
        an ObjectKey for `key`.